{ nixpkgs ? import <nixpkgs> { }, pythonPkgs ? nixpkgs.pkgs.python39Packages }:

let
  inherit (nixpkgs) pkgs;
  inherit pythonPkgs;

  selfprivacy-api =
    { buildPythonPackage
    , fetchPypi
    , flask
    , flask-restful
    , flask-cors
    , setuptools
    , portalocker
    , flask-swagger
    , flask-swagger-ui
    , pytz
    , pytest
    , pytest-mock
    , pytest-datadir
    , huey
    , gevent
    , mnemonic
    , pydantic
    , strawberry-graphql
    , psutil
    }:
    pythonPkgs.buildPythonPackage rec {
      pname = "selfprivacy-api";
      version = "1.2.6";
      src = builtins.fetchGit {
        url = "https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api.git";
        rev = "9132b70e709b19ddc393859ce23f8a5c342fa4e8";
        ref = "test-branch";
      };
      propagatedBuildInputs = [
        flask
        flask-restful
        flask-cors
        setuptools
        portalocker
        flask-swagger
        flask-swagger-ui
        pytz
        pytest
        pytest-mock
        pytest-datadir
        huey
        gevent
        mnemonic
        pydantic
        strawberry-graphql
        psutil
      ];
      meta = {
        description = ''
          SelfPrivacy Server Management API
        '';
      };
    };
  drv = pythonPkgs.callPackage selfprivacy-api { };
in
if pkgs.lib.inNixShell then drv.env else drv
